Subject: Re: [PATCH] Enable CONFIG_DEVTMPFS_MOUNT to ensure /dev can be mounted correctly

From: Gary Thomas <[email-masked]>
Date: Wed, 17 Apr 2013 06:27:53 -0600

On 2013-04-17 05:46, Luo Zhenhua-B19537 wrote:
>> -----Original Message-----
>> From: Michael Ellerman [mailto:[email-masked]]
>> Sent: Monday, April 15, 2013 1:02 PM
>>
>> On Thu, Apr 11, 2013 at 09:56:30PM +0800, Zhenhua Luo wrote:
>>> When using recent udev, the /dev node mount requires
>>> CONFIG_DEVTMPFS_MOUNT is enabled in Kernel.
>>
>> Really?
>>
>> I know it makes life easier when you don't have an initramfs, but is it
>> actually required now?
> [Luo Zhenhua-B19537] I didn't use initramfs when the issue is found, I think the option is required to be enabled.
>

Yes, it is required to get udev to work properly (versions of udev
newer than ~173)

-- 
------------------------------------------------------------
Gary Thomas                 |  Consulting for the
MLB Associates              |    Embedded world
------------------------------------------------------------